daverdfw

Having issues with network after migrating from juns 1.02 to 1.03b

Recommended Posts

So I was running 6.1 and wanted to get up to the 6.2 branch. I was running jun's 1.02 loader. So I copied the info from the grub.conf I needed for the new USB stick using 1.03b. Was able to boot up and d the migration to 6.2

 

After reboot, I have no network at all. this board is using a 82574L Intel nic, which looks supported in the 6.2 branch. 

 

So what should I do next? I am kinda at a loss why the network isnt working now. 

 

Thanks!

Edited by daverdfw

Share this post


Link to post
Share on other sites

latest 6.2 (6.2.2) uses different kernel settings resulting in drivers from jun's extra.lzma not working, 6.2 with the vanilla 1.03b loader is only for 6.2.0 aka v23739, in your state (driver for <6.2.2 and loader/kernel 6.2.2 only the original dsm drivers are working)

your driver is e1000 and that's not part of the original dsm

as you are already in a semi brick i can send you my test version of a extra.lzma for 6.2.2

what system, 3615 or 3617?

 

to "install" it you just need to plug you usb to a windows computer and in the mounted partition (2nd partition of the image) you just replace the extra.lzma

the you plugin back in you xpenology box, boot up and wait/see what happens, it should boot and restart 2 times (1st finishing 6.2.2 installation, second for automatic update to u3 or u4, 2nd will not happen when the box does not have internet)

 

alternative to the new extra.lzma would be downgrading

https://xpenology.com/forum/topic/12778-tutorial-how-to-downgrade-from-62-to-61-recovering-a-bricked-system/

 

Edited by IG-88

Share this post


Link to post
Share on other sites
7 minutes ago, IG-88 said:

latest 6.2 (6.2.2) uses different kernel settings resulting in drivers from jun's extra.lzma not working, 6.2 with the vanilla 1.03b loader is only for 6.2.0 aka v23739, in your state (driver for <6.2.2 and loader/kernel 6.2.2 only the original dsm drivers are working)

your driver is e1000 and that's not part of the original dsm as you are already in a semi brick i can send you my test version of a extra.lzma for 6.2.2

what system, 3615 or 3617?

 

to "install" it you just need to plug you usb to a windows computer and in the mounted partition (2nd partition of the image) you just replace the extra.lzma

the you plugin back in you xpenology box, boot up and wait/see what happens, it should boot and restart 2 times (1st finishing 6.2.2 installation, second for automatic update to u3 or u4, 2nd will not happen when the box does not have internet)

 

alternative to the new extra.lzma would be downgrading

https://xpenology.com/forum/topic/12778-tutorial-how-to-downgrade-from-62-to-61-recovering-a-bricked-system/

 

I am using the 3617 and sure I can give it a try. I have done the downgrade before so as a last ditch effort i could do that. Thanks!

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.